//---------------------------------------------------------------------------
#ifndef TIUSetupH
#define TIUSetupH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "_GClass.hpp"
#include "AbSwitch.hpp"
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TActiveTIU : public TForm
{
__published:	// IDE-managed Components
    TLabel *TIU_Label;
    TPanel *ActivePanel;
    TAbRockerSwitch *TIU1;
    TAbRockerSwitch *TIU2;
    TAbRockerSwitch *TIU3;
    TAbRockerSwitch *TIU4;
    TAbRockerSwitch *TIU5;
    TLabel *Label10;
    TLabel *Label1;
    TImage *Copyright;
    TButton *HideButton;
    void __fastcall TIU1Click(TObject *Sender);
    void __fastcall TIU2Click(TObject *Sender);
    void __fastcall TIU3Click(TObject *Sender);
    void __fastcall TIU4Click(TObject *Sender);
    void __fastcall TIU5Click(TObject *Sender);
    void __fastcall TIU_LabelClick(TObject *Sender);
    void __fastcall HideButtonClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
   	void __fastcall FormActivate(TObject *Sender);
	void __fastcall FormDeactivate(TObject *Sender);
    void __fastcall CopyrightClick(TObject *Sender);
private:	// User declarations

	bool LocalTransparencyOverride;
    
public:		// User declarations
    __fastcall TActiveTIU(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TActiveTIU *ActiveTIU;
//---------------------------------------------------------------------------
#endif
